<script>
import { GlSearchBoxByClick } from "@gitlab/ui";
import { docsBaseURL } from "../../utils/environment";

export default {
  components: {
    GlSearchBoxByClick,
  },
  data() {
    return {
      query: "",
    };
  },
  methods: {
    onSubmit() {
      window.location.href = `${docsBaseURL()}search/?q=${encodeURI(this.query)}`;
    },
  },
};
</script>

<template>
  <gl-search-box-by-click
    v-model="query"
    class="search-form"
    @submit="onSubmit"
  />
</template>
